summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-03-25 20:39:42 +0100
committerHans de Graaff <graaff@gentoo.org>2019-03-25 20:39:42 +0100
commitf8c4986bcad88de083e7ac567cfa2a3bdd27b091 (patch)
tree5669e81b302ee2f41498154f7973d74a53290052 /dev-ruby/actioncable
parentdev-ruby/activejob: remove vulnerable versions (diff)
downloadgentoo-f8c4986bcad88de083e7ac567cfa2a3bdd27b091.tar.gz
gentoo-f8c4986bcad88de083e7ac567cfa2a3bdd27b091.tar.bz2
gentoo-f8c4986bcad88de083e7ac567cfa2a3bdd27b091.zip
dev-ruby/actioncable: remove vulnerable versions
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'dev-ruby/actioncable')
-rw-r--r--dev-ruby/actioncable/Manifest2
-rw-r--r--dev-ruby/actioncable/actioncable-5.1.6.1.ebuild45
-rw-r--r--dev-ruby/actioncable/actioncable-5.2.2.ebuild45
3 files changed, 0 insertions, 92 deletions
diff --git a/dev-ruby/actioncable/Manifest b/dev-ruby/actioncable/Manifest
index 0817822d8f1..d581766a08c 100644
--- a/dev-ruby/actioncable/Manifest
+++ b/dev-ruby/actioncable/Manifest
@@ -1,4 +1,2 @@
-DIST rails-5.1.6.1.tgz 6143808 BLAKE2B 40949c4598af98e177bab19aea809a724135a56aaec66bfdfd820412794f548da195597461d5bd7b6e07bf60a5b6aee330a0a5fdf90bc0b0361b94a80d0684b4 SHA512 118798424ba249c3a7eed3e7174ed4a25d2fb81b8f521e165b2aef995956da7c085084be3dad9961e57e67a685ec3d527c3bfa91730d1053951cdd81b7e511ff
DIST rails-5.1.6.2.tgz 6144050 BLAKE2B b204a66f97514eab94ebcfee89d55482577bf1c355b813e3e596c1d8c1a9f4167871fda75fc605c6b5801a3a247050b53b075abcf3a28bb30ec45e166d7cd8f8 SHA512 4e2e4739a276e66ace4a330b65c05c8c8465d71438b6d6d8c30051f9ff9ba6d2669c0379b2478d9a94e9535e7c079b39d6fa1b388619e7d29a3fd8d6127588fd
DIST rails-5.2.2.1.tgz 8795399 BLAKE2B cb07c555b4124b67c12d7b913209112730a2aa4d957b3711c6b1f41918bfbce792426d75bd2e4443043a701f74bb2a286d59b140248f6a74f1c4547f00dc0b7d SHA512 c976e3b4f0f2350cd611309c89a9c3ad16871f115577788694519482afa10420a272f2cc560bd823f05d6d616e3cde1e121d6f530e3d29df12a55bd2aa76ed0e
-DIST rails-5.2.2.tgz 8794009 BLAKE2B ee6af6990d6b3dc12171fa2a1baf0f975481dc31711ae2caed27b79d1c5b514d1959492c5cced5b0202b46fc18e4a8178703a91b5f1f65df4ea46f193e9d48d5 SHA512 ecca752baa52ee7f11ef21a919bbba370d9ca76a0b428305143e86ebabbd7218978cdeefc919bfb1c0e0e71fc555869dcf917bda219f89e7e41e17dfe983b792
diff --git a/dev-ruby/actioncable/actioncable-5.1.6.1.ebuild b/dev-ruby/actioncable/actioncable-5.1.6.1.ebuild
deleted file mode 100644
index 1bafe141bf6..00000000000
--- a/dev-ruby/actioncable/actioncable-5.1.6.1.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-USE_RUBY="ruby23 ruby24"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_DOCDIR=""
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
-
-RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
-
-RUBY_FAKEGEM_EXTRAINSTALL="app"
-
-RUBY_FAKEGEM_BINWRAP=""
-
-inherit ruby-fakegem versionator
-
-DESCRIPTION="Integrated WebSockets for Rails"
-HOMEPAGE="https://github.com/rails/rails"
-SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
-
-LICENSE="MIT"
-SLOT="$(get_version_component_range 1-2)"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
-IUSE=""
-
-RUBY_S="rails-${PV}/${PN}"
-
-# Tests require many new dependencies, skipping for now
-RESTRICT="test"
-
-ruby_add_rdepend "
- ~dev-ruby/actionpack-${PV}:*
- dev-ruby/nio4r:2
- >=dev-ruby/websocket-driver-0.6.1:0 =dev-ruby/websocket-driver-0.6*
-"
-
-ruby_add_bdepend "
- test? (
- >=dev-ruby/railties-4.2.0
- dev-ruby/test-unit:2
- >=dev-ruby/mocha-0.14.0:0.14
- )"
diff --git a/dev-ruby/actioncable/actioncable-5.2.2.ebuild b/dev-ruby/actioncable/actioncable-5.2.2.ebuild
deleted file mode 100644
index 10f73da56c5..00000000000
--- a/dev-ruby/actioncable/actioncable-5.2.2.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-USE_RUBY="ruby23 ruby24 ruby25"
-
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_DOCDIR=""
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
-
-RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
-
-RUBY_FAKEGEM_EXTRAINSTALL="app"
-
-RUBY_FAKEGEM_BINWRAP=""
-
-inherit ruby-fakegem eapi7-ver
-
-DESCRIPTION="Integrated WebSockets for Rails"
-HOMEPAGE="https://github.com/rails/rails"
-SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
-
-LICENSE="MIT"
-SLOT="$(ver_cut 1-2)"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
-IUSE=""
-
-RUBY_S="rails-${PV}/${PN}"
-
-# Tests require many new dependencies, skipping for now
-RESTRICT="test"
-
-ruby_add_rdepend "
- ~dev-ruby/actionpack-${PV}:*
- dev-ruby/nio4r:2
- >=dev-ruby/websocket-driver-0.6.1:0
-"
-
-ruby_add_bdepend "
- test? (
- >=dev-ruby/railties-4.2.0
- dev-ruby/test-unit:2
- >=dev-ruby/mocha-0.14.0:0.14
- )"